### Hierarchy

- IWebSocketClass

## Index

### Constructors

- constructor

### Properties

- CLOSED
- CLOSING
- CONNECTING
- OPEN
- prototype

## Constructors

### constructor

- new IWebSocketClass(url: string, protocols?: string | string[]): WebSocket

- #### Parameters

  - ##### url: string

  - ##### Optional protocols: string | string[]

  #### Returns WebSocket

## Properties

### CLOSED

CLOSED: number

### CLOSING

CLOSING: number

### CONNECTING

CONNECTING: number

### OPEN

OPEN: number

### prototype

prototype: WebSocket